# note: would be too much work to put this in the build prefix
HANZI_DATA := generated/hanzi-data

MOSTLY_CLEAN_DIRS += $(HANZI_DATA)

.PHONY: data
data: $(HANZI_DATA)

$(HANZI_DATA): \
$(GEN_HANZI_DATA) \
$(wildcard build/gen-hanzi-data/pools/simplified/*.txt) \
$(wildcard build/gen-hanzi-data/pools/traditional/*.txt)
	mkdir -p generated
	$(GEN_HANZI_DATA) \
	--out $@ \
	$(addprefix --pool , \
		$(wildcard build/gen-hanzi-data/pools/simplified/*.txt) \
		$(wildcard build/gen-hanzi-data/pools/traditional/*.txt))
